libepubgen::EPUBManifest Class Reference documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBManifest Class Reference

`#include <EPUBManifest.h>`

## Public Member Functions
| EPUBManifest ()
void | insert (const EPUBPath &path, const std::string &mimetype, const std::string &id, const std::string &properties)
void | writeTo (EPUBXMLSink &sink)

## Private Types
typedef std::tuple< std::string, std::string, std::string > | ValueType_t
typedef std::unordered_map< std::string, ValueType_t > | MapType_t

## Private Member Functions
| EPUBManifest (const EPUBManifest &)
EPUBManifest & | operator= (const EPUBManifest &)

## Private Attributes
MapType_t | m_map

## Member Typedef Documentation

## ◆ MapType_t

typedef std::unordered_map<std::string, ValueType_t> libepubgen::EPUBManifest::MapType_t
| private

## ◆ ValueType_t

typedef std::tuple<std::string, std::string, std::string> libepubgen::EPUBManifest::ValueType_t
| private

## Constructor & Destructor Documentation

## ◆ EPUBManifest() [1/2]

libepubgen::EPUBManifest::EPUBManifest | ( | const EPUBManifest & |  | ) |
| private

## ◆ EPUBManifest() [2/2]

libepubgen::EPUBManifest::EPUBManifest | ( |  | ) |

## Member Function Documentation

## ◆ insert()

void libepubgen::EPUBManifest::insert | ( | const EPUBPath & | path,
|  | const std::string & | mimetype,
|  | const std::string & | id,
|  | const std::string & | properties
| ) |  |

Referenced by libepubgen::EPUBHTMLManager::create(), libepubgen::EPUBImageManager::insert(), libepubgen::EPUBFontManager::insert(), and libepubgen::EPUBGenerator::startDocument().

## ◆ operator=()

EPUBManifest& libepubgen::EPUBManifest::operator= | ( | const EPUBManifest & |  | ) |
| private

## ◆ writeTo()

void libepubgen::EPUBManifest::writeTo | ( | EPUBXMLSink & | sink | ) |

Referenced by libepubgen::EPUBGenerator::writeRoot().

## Member Data Documentation

## ◆ m_map

MapType_t libepubgen::EPUBManifest::m_map
| private

Referenced by insert(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBManifest.h
- EPUBManifest.cpp